module Main where

import Test.Tasty

import qualified Cover
import qualified Tests.Git
import qualified Tests.Hash
import qualified Tests.Pack
import qualified Tests.Parsers
import qualified Tests.RefSpec
import qualified Tests.RefNameSpec

main :: IO ()
main = defaultMain tests

tests :: TestTree
tests = testGroup "miss tests"
  [ Tests.Hash.tests
  , Tests.Parsers.tests
  , Tests.RefSpec.tests
  , Tests.RefNameSpec.tests
  , Tests.Pack.tests
  , Cover.coverage
  , Tests.Git.tests
  ]
